Summary: Tools for reading and writing Macintosh HFS volumes
Name: hfsutils
Version: 3.3.0
Release: 1.1
Group: Applications/File
Copyright: GPL
Source: ftp://ftp.mars.org/pub/hfs/hfsutils-3.3.0.tar.gz 
Url: http://www.mars.org/home/rob/proj/hfs/ 
BuildRoot: /var/tmp/hfsutils-build

%package -n hfsutils-devel
Summary: C library for reading and writing Macintosh HFS volumes
Group: Development/Libraries

%description
A portable, free implementation of routines for accessing HFS volumes.
Provided through several command-line programs, a tk-based front end
for browsing and copying files, and a Tcl package and interface for
scriptable access to volumes.

%description -n hfsutils-devel
A portable, free implementation of routines for accessing HFS volumes via a
C library for low-level access to volumes.

%prep
%setup -q 

%build
./configure --prefix=/usr --mandir=%{_mandir} --with-tcl  --with-tk 
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make prefix=$RPM_BUILD_ROOT/usr MANDEST=$RPM_BUILD_ROOT/%{_mandir} install
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT/usr/lib
make prefix=$RPM_BUILD_ROOT/usr install_lib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc CHANGES COPYING COPYRIGHT CREDITS INSTALL README TODO
%config
/usr/bin/hattrib
/usr/bin/hcd
/usr/bin/hcopy
/usr/bin/hdel
/usr/bin/hdir
/usr/bin/hformat
/usr/bin/hfs
/usr/bin/hfssh
/usr/bin/hls
/usr/bin/hmkdir
/usr/bin/hmount
/usr/bin/hpwd
/usr/bin/hrename
/usr/bin/hrmdir
/usr/bin/humount
/usr/bin/hvol
/usr/bin/hvolume_name
/usr/bin/xhfs
%{_mandir}/man1

%files -n hfsutils-devel
/usr/lib/libhfs.a
/usr/include/hfs.h 

%changelog 
* Thu Mar 23 2000 Jeff Carr <jcarr@linuxppc.org>
- made hvolume_name for install to simplify install
- Changed to version 3.3.0

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source

* Thu Aug 20 1998 Michael Maher <mike@redhat.com>
- built package 

